const mongoose = require("mongoose");

const GateEntrySchema = new mongoose.Schema({
  courier: {
    type: String,
    required: true,
  },
  box: {
    type: Number,
    required: true,
    min: 1,
  },
  vehicleName: {    
    type: String,
    required: true,
  },
  vehical: {
    type: String,
    required: true,
    enum: ["Gate Entry Inward", "Gate Entry Outward"],
  },   
  createdAt: {
    type: Date,
    default: Date.now,
  },
});

module.exports = mongoose.model("GateEntry", GateEntrySchema);